User-Specific APIs
Get Campaigns
Retrieve a paginated list of CrowdChange campaigns where the authenticated user is registered, including role, goal, and amount raised per campaign.
GET
Get Campaigns
Query parameters
string
required
User’s access token.
string
Search term.
integer
Page number. Default:
1integer
Number of results to return. Default:
10string
Key to sort by. Allowed values:
name, amount_raised, amount_goalstring
Direction of sorting. Allowed values:
asc, descstring
API’s locale. Allowed values:
en, frResponse
integer
Campaign ID.
integer
Site ID.
string
Campaign name.
string | null
Campaign description.
string | null
Full URL to the campaign.
number
Goal amount.
string
Formatted goal amount, including the currency symbol.
number
Amount raised by the campaign.
string
Formatted amount raised by the campaign, including the currency symbol.
string
Campaign goal type.
number
Pending offline donation amount attributed to the campaign.
number
Amount contributed by donation matching assigned directly to the campaign.
integer
Number of donors.
integer
Number of teams in the campaign.
integer
Number of personal pages in the campaign.
object
string | null
Campaign image ID.
string | null
Campaign start date and time.
string | null
Campaign end date and time.
string
Campaign language. Allowed values:
en, fr.any[]
Campaign tags.
object[]
Custom questions and responses configured for the resource.
string | null
Campaign creation date and time.
object
Campaign owner.
object | null
Campaign organization, when applicable.
string | null
Campaign close date and time.
Whether the campaign is hidden.
object | null
Campaign template summary, when applicable.
Last modified on August 17, 2026